MCP Gateway
ApiBundles

List bundles

List all bundles with pagination and optional search filtering by name.

GET
/api/v1/bundles

Query Parameters

page?integer
Default1
Range1 <= value
page_size?integer
Default20
Range1 <= value <= 100
search?|

Response Body

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/bundles"
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string",
      "tool_count": 0,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0,
  "page": 0,
  "page_size": 0
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}